// Copyright (c) Mito
import React from 'react';
import '../../../css/elements/Dropdown.css';
import { useCallOnAnyClick } from '../../hooks/useCallOnAnyClick';
/**
 * The Dropdown component is used to display dropdown menus. It closes
 * automatically when the user clicks anywhere.
 *
 * The Dropdown component, itself, is only responsible for displaying the list
 * of DropdownItems, closing the dropdown, and positioning the dropdown in the
 * right location.
 */
const Dropdown = (props) => {
    useCallOnAnyClick(props.closeDropdown);
    return (React.createElement("div", { className: 'dropdown', style: { top: props.top, right: props.right, bottom: props.bottom, left: props.left } }, props.children));
};
export default Dropdown;
//# sourceMappingURL=Dropdown.js.map