// Copyright (c) Mito
import React, { useState } from 'react';
import Dropdown from './Dropdown';
import DropdownItem from './DropdownItem';
//import { getWidthAsNumber, Width } from './sizes.d';
import SelectDropdownIcon from '../icons/SelectDropdownIcon';
import { classNames } from '../../utils/classNames';
// import css
import '../../../css/elements/Select.css';
import '../../../css/elements/Dropdown.css';
/**
 * The Select component. If open, the select dropdown automatically
 * closes when the user clicks.
 */
const Select = (props) => {
    const [displayDropdown, setDisplayDropdown] = useState(false);
    const width = props.width || 'block';
    const justify = props.justify || 'left';
    const widthClass = `element-width-${width}`;
    const dropdownActiveClass = displayDropdown ? 'select-dropdown-active' : '';
    return (React.createElement("div", { className: classNames('select-container', 'text-body-2', widthClass, dropdownActiveClass), onClick: () => void setDisplayDropdown(!displayDropdown) },
        React.createElement("p", { className: 'select-text' }, props.value),
        React.createElement("div", { className: 'select-dropdown-icon-container' },
            React.createElement(SelectDropdownIcon, null)),
        displayDropdown &&
            React.createElement(Dropdown, Object.assign({ closeDropdown: () => setDisplayDropdown(false), top: 30 }, (justify == 'right' ? { right: 0 } : { left: 0 })), props.options.map((option, idx) => {
                return (React.createElement(DropdownItem, { key: idx, title: option, onClick: () => props.onChange(option) }));
            }))));
};
export default Select;
//# sourceMappingURL=Select.js.map