// Copyright (c) Mito
import React from 'react';
import Dropdown from '../elements/Dropdown';
import DropdownItem from '../elements/DropdownItem';
/*
    Displays a set of actions one can perform on a sheet tab, including
    deleting, duplicating, or renaming.
*/
export default function SheetTabActions(props) {
    const onDelete = async () => {
        // If we are deleting the sheet index that is currently selected & it is not sheetIndex 0, update the selected sheet index
        if (props.sheetIndex === props.selectedSheetIndex && props.selectedSheetIndex !== 0) {
            props.setSelectedSheetIndex(props.sheetIndex - 1);
        }
        await props.mitoAPI.sendDataframeDeleteMessage(props.sheetIndex);
        props.setCurrOpenSheetTabActions(undefined);
    };
    const onDuplicate = async () => {
        await props.mitoAPI.sendDataframeDuplicateMessage(props.sheetIndex);
        props.setCurrOpenSheetTabActions(undefined);
    };
    /* Rename helper, which requires changes to the sheet tab itself */
    const onRename = () => {
        props.setCurrOpenSheetTabActions(undefined);
        props.setIsRename(true);
    };
    return (React.createElement(Dropdown, { closeDropdown: () => props.setCurrOpenSheetTabActions(undefined), bottom: 30, left: props.getLeftShift() },
        React.createElement(DropdownItem, { title: 'Delete', onClick: onDelete }),
        React.createElement(DropdownItem, { title: 'Duplicate', onClick: onDuplicate }),
        React.createElement(DropdownItem, { title: 'Rename', onClick: onRename })));
}
//# sourceMappingURL=SheetTabActions.js.map