// Copyright (c) Mito
import React, { Fragment } from 'react';
import { ModalEnum } from '../Mito';
import DefaultModal from '../DefaultModal';
// import css
import "../../../css/save-analysis-modal.css";
import TextButton from '../elements/TextButton';
/*
  A modal that appears if a user tries to overwrite a saved analysis,
  prompting them they want to overwrite it.
*/
const SaveAnalysisOverwriteModal = (props) => {
    const clickBack = () => {
        props.setModal({
            type: ModalEnum.SaveAnalysis,
            saveAnalysisName: props.saveAnalysisName
        });
    };
    const clickOverwrite = async () => {
        await props.mitoAPI.sendSaveAnalysisMessage(props.saveAnalysisName);
        props.setModal({ type: ModalEnum.None });
    };
    return (React.createElement(DefaultModal, { header: `There is already an analysis called ${props.saveAnalysisName}`, modalType: ModalEnum.SaveAnalysisOverwrite, viewComponent: React.createElement(Fragment, null,
            React.createElement("p", null, "Saving this analysis will overwrite your existing analysis. Are you sure you want to continue?")), buttons: React.createElement(Fragment, null,
            React.createElement(TextButton, { variant: 'light', width: 'small', onClick: clickBack }, "Back"),
            React.createElement(TextButton, { variant: 'dark', width: 'small', onClick: clickOverwrite }, "Overwrite")) }));
};
export default SaveAnalysisOverwriteModal;
//# sourceMappingURL=SaveAnalysisOverwriteModal.js.map