// Copyright (c) Mito
import { ColumnMitoType } from '../../../Mito';
import { BooleanFilterCondition, DatetimeFilterCondition, NumberFilterCondition, StringFilterCondition } from './filterTypes';
export function getEmptyFilterData(columnMitoType) {
    switch (columnMitoType) {
        case ColumnMitoType.BOOLEAN_SERIES: return {
            type: ColumnMitoType.BOOLEAN_SERIES,
            condition: BooleanFilterCondition.IS_TRUE,
            value: ''
        };
        case ColumnMitoType.STRING_SERIES: return {
            type: ColumnMitoType.STRING_SERIES,
            condition: StringFilterCondition.CONTAINS,
            value: ''
        };
        case ColumnMitoType.NUMBER_SERIES: return {
            type: ColumnMitoType.NUMBER_SERIES,
            condition: NumberFilterCondition.GREATER,
            value: ''
        };
        case ColumnMitoType.DATETIME_SERIES: return {
            type: ColumnMitoType.DATETIME_SERIES,
            condition: DatetimeFilterCondition.DATETIME_EXTACTLY,
            value: ''
        };
        // We include a default return, to stop filters on columns
        // like timedeltas from crashing the sheet if you add
        // a filter to it (although it's non functional :( )
        default: return {
            type: ColumnMitoType.STRING_SERIES,
            condition: StringFilterCondition.CONTAINS,
            value: ''
        };
    }
}
//# sourceMappingURL=utils.js.map