// Copyright (c) Mito
import React from 'react';
// import css
import '../../../../css/merge-sheet-and-key-selection.css';
import { MergeSheet } from './MergeTaskpane';
import Select from '../../elements/Select';
/*
  A custom component that allows you to select a sheet from the list of
  possible sheets, as well as a column header from that sheet.
*/
const MergeSheetAndKeySelection = (props) => {
    const sheetNumStr = props.sheetNum == MergeSheet.First ? 'First' : 'Second';
    return (React.createElement("div", { className: 'merge-sheet-and-key' },
        React.createElement("div", null,
            React.createElement("p", { className: 'default-taskpane-body-section-title-text' },
                sheetNumStr,
                " Sheet"),
            React.createElement(Select, { value: props.dfNames[props.sheetIndex], options: props.dfNames, onChange: (dfName) => {
                    const newSheetIndex = props.dfNames.indexOf(dfName);
                    props.setNewSheetIndex(newSheetIndex);
                }, width: 'medium' })),
        React.createElement("div", null,
            React.createElement("p", { className: 'default-taskpane-body-section-title-text' }, "Merge Key"),
            React.createElement(Select, { value: props.mergeKey, options: props.columnHeaders, onChange: (newMergeKey) => { props.setNewMergeKey(newMergeKey); }, width: 'medium', justify: 'right' }))));
};
export default MergeSheetAndKeySelection;
//# sourceMappingURL=MergeSheetAndKeySelection.js.map