// Copyright (c) Mito
import React from 'react';
import PivotTableColumnHeaderCard from './PivotTableColumnHeaderCard';
// import css
import '../../../../css/pivot-table-key-selection.css';
import SmallSelect, { TitleColor } from '../../elements/SmallSelect';
import PivotInvalidSelectedColumnsError from './PivotInvalidSelectedColumnsError';
/*
  A custom component used in the pivot table which lets the
  user select column headers to add to the row or column keys
*/
const PivotTableKeySelection = (props) => {
    const pivotTableColumnHeaderCards = props.selectedColumnHeaders.map(columnHeader => {
        return (React.createElement(PivotTableColumnHeaderCard, { key: columnHeader, columnHeader: columnHeader, editColumnKeySelection: props.editKeySelection, rowOrColumn: props.rowOrColumn }));
    });
    /*
      Function passed to the SmallSelect so that when the user selects a
      key to add, it can communicate the addition to the pivot table state

      Note: we use this wrapper around the editColumnKeySelection function so that
      we can conform with the interface of the SmallSelect whose setValue function
      only takes a string as a param
    */
    function selectColumnHeader(columnHeader) {
        props.editKeySelection(props.rowOrColumn, 'add', columnHeader);
    }
    return (React.createElement("div", null,
        React.createElement("div", { className: 'pivot-taskpane-section-header-div' },
            React.createElement("p", { className: 'default-taskpane-body-section-title-text' }, props.sectionTitle),
            React.createElement(SmallSelect, { startingValue: 'add', optionsArray: props.columnHeaders, setValue: selectColumnHeader, titleColor: TitleColor.BLUE })),
        React.createElement(PivotInvalidSelectedColumnsError, { columnHeaders: props.columnHeaders, pivotSection: props.rowOrColumn, selectedColumnHeaders: props.selectedColumnHeaders, mitoAPI: props.mitoAPI }),
        pivotTableColumnHeaderCards));
};
export default PivotTableKeySelection;
//# sourceMappingURL=PivotTableKeySelection.js.map