// Copyright (c) Mito
import React from 'react';
import SmallSelect, { TitleColor } from '../../elements/SmallSelect';
import PivotTableValueAggregationCard from './PivotTableValueAggregationCard';
// import css
import '../../../../css/pivot-table-key-selection.css';
import PivotInvalidSelectedColumnsError from './PivotInvalidSelectedColumnsError';
/*
  A custom component used in the pivot table which lets the
  user select column headers to add to the row or column keys
*/
const PivotTableValueSelection = (props) => {
    return (React.createElement("div", null,
        React.createElement("div", { className: 'pivot-taskpane-section-header-div' },
            React.createElement("p", { className: 'default-taskpane-body-section-title-text' }, "Values"),
            React.createElement(SmallSelect, { startingValue: 'add', optionsArray: props.columnHeaders, setValue: props.addPivotValueAggregation, titleColor: TitleColor.BLUE })),
        React.createElement(PivotInvalidSelectedColumnsError, { columnHeaders: props.columnHeaders, pivotSection: 'values', selectedColumnHeaders: Object.keys(props.pivotValues), mitoAPI: props.mitoAPI }),
        Object.keys(props.pivotValues).map(columnHeader => {
            return props.pivotValues[columnHeader].map((aggregationType, index) => {
                return (React.createElement(PivotTableValueAggregationCard, { key: columnHeader + index + aggregationType, columnHeader: columnHeader, aggregationType: aggregationType, removePivotValueAggregation: () => {
                        props.removePivotValueAggregation(columnHeader, index);
                    }, editPivotValueAggregation: (newAggregationType) => {
                        props.editPivotValueAggregation(columnHeader, index, newAggregationType);
                    } }));
            });
        })));
};
export default PivotTableValueSelection;
//# sourceMappingURL=PivotTableValueSelection.js.map